//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
//
using System;

namespace FrameworkLibraries
{
	public class ConvertMain 
	{
		static void Main()
		{
			Console.Write("Wprowadź datę: ");
			string input = Console.ReadLine();
			try
			{
				DateTime date = Convert.ToDateTime(input);
				Console.WriteLine("{0}", date.ToLongDateString());
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
			Console.Write("Wprowadź liczbę: ");
			input = Console.ReadLine();
			try
			{
				int number = Convert.ToInt32(input);
				Console.WriteLine("Wprowadziłeś: {0}", number);
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
			Console.Write("Wprowadź jednobajtową liczbę całkowitą: ");
			input = Console.ReadLine();
			try
			{
				byte b = Convert.ToByte(input);
				Console.WriteLine("Wprowadziłeś: {0}", b);
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
		}
	}
}